package com.ruoyi.gysl.controller;


import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.gysl.entity.Mx;
import com.ruoyi.gysl.service.MxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 模型管理(Mx)表控制层
 *
 * @author makejava
 * @since 2025-02-24 13:40:34
 */
@Api(tags = "模型管理")
@RestController
@RequestMapping("/gysl/mx")

public class MxController extends BaseController {


    /**
     * 服务对象
     */
    @Resource
    private MxService mxService;

    /**
     * 查询所有模型数据
     *
     * @return 所有数据
     */
    @GetMapping("/page")
    @ApiOperation("查询所有模型数据")
    public AjaxResult selectAll() {
        return success(mxService.selectAll());
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation("通过主键查询单条数据")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(mxService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param mx 实体对象
     * @return 新增结果
     */
    @PostMapping("/add")
    @ApiOperation("新增数据")
    public AjaxResult insert(@RequestBody Mx mx) {
        return success(mxService.save(mx));
    }

    /**
     * 修改数据
     *
     * @param mx 实体对象
     * @return 修改结果
     */
    @PostMapping("/edit")
    @ApiOperation("修改数据")
    public AjaxResult update(@RequestBody Mx mx) {
        return success(mxService.updateById(mx));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除数据")
    @DeleteMapping("/delete")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(mxService.removeByIds(idList));
    }
}

